C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE RECONS(CFNCT)
C*****	RECONSTRUCTS FITTED VALUES IN CURVE1
	IMPLICIT LOGICAL*1 (A)
	IMPLICIT INTEGER*2(D-Z)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512)
	COMMON/WINDOW/FST,LST
	COMMON/LINEAR/ALIN
	COMMON/FIT/CGRAD,CINT,CC
C*****RECONSTRUCT CURVE
	DO 290 II=1,FST-1
290	CURVE1(II)=0
	DO 350 II=FST,SAVDES(108)
	CVY=CFNCT(CURVE2(II-FST+1))
	IF(CVY.LT.0)CVY=0
	CURVE1(II)=CVY
350	CONTINUE
	CALL SETERR(10,0)
	RETURN
	END
	FUNCTION CLIN(CX)
	IMPLICIT INTEGER(D-Z)
	COMMON/FIT/CGRAD,CINT
	CLIN=CGRAD*CX+CINT
	RETURN
	END
	FUNCTION CPOL(CX)
	COMMON/FIT/CGRAD,CINT,CC
	CPOL=CGRAD*CX*CX+CINT*CX+CC
	RETURN
	END
	FUNCTION CGAM(CX)
	COMMON/FIT/CGRAD,CINT,CC
	CALL SETERR(10,128)
	CINTH=CINT/2.
	CGAM=CX**CINTH*EXP(CC*CX)*CX**CINTH*CGRAD
	IF(CGAM.EQ.0.0)IJ=IJ+1
	IF(IJ.EQ.10)WRITE(7,100)
	RETURN
100	FORMAT(1X,'X VALUES TOO HIGH FOR STABLE FIT--USE WD COMMAND')
	END
